%global modname contextlib2

Name:               python-contextlib2
Version:            0.5.5
Release:            %mkrel 2
Summary:            Backports and enhancements for the contextlib module

Group:              Development/Python
License:            Python
URL:                https://pypi.io/project/contextlib2
Source0:            https://pypi.io/packages/source/c/%{modname}/%{modname}-%{version}.tar.gz

BuildArch:          noarch

BuildRequires:      python2-devel
# needed for check: assertRaisesRegex in unittest.TestCase
BuildRequires:      python-unittest2
BuildRequires:      python3-devel


%description
contextlib2 is a backport of the standard library's contextlib module to
earlier Python versions.

It also serves as a real world proving ground for possible future
enhancements to the standard library version.

%package -n python3-contextlib2
Summary:            Backports and enhancements for the contextlib module
Group:              Development/Python

%description -n python3-contextlib2
contextlib2 is a backport of the standard library's contextlib module to
earlier Python versions.

It also serves as a real world proving ground for possible future
enhancements to the standard library version.

%prep
%setup -q -n %{modname}-%{version}

# Remove bundled egg-info in case it exists
rm -rf %{modname}.egg-info

%build
%py2_build
%py3_build

%install
%py2_install
%py3_install

%check
%{__python2} test_contextlib2.py
%{__python3} test_contextlib2.py

%files
%doc README.rst VERSION.txt NEWS.rst
%license LICENSE.txt
%{python2_sitelib}/%{modname}.py*
%{python2_sitelib}/%{modname}-%{version}*

%files -n python3-contextlib2
%doc README.rst VERSION.txt NEWS.rst
%license LICENSE.txt
%{python3_sitelib}/%{modname}.py*
%{python3_sitelib}/__pycache__/%{modname}*
%{python3_sitelib}/%{modname}-%{version}-*



%changelog
* Sun May 14 2017 ngompa <ngompa> 0.5.5-2.mga6
+ Revision: 1101028
- Port to Mageia
- imported package python-contextlib2

